DM送信権限の確認
DM送信権限の確認.
APIリファレンスに戻る
/DM Endpoints
POST
/v2/dm/statusAPI 認証
AuthorizationBearer token · header必須TwexAPIのグローバル認証トークン (Bearer Token)。ヘッダーに含める必要があります:Authorization: Bearer <YOUR_TWEXAPI_KEY>。
リクエストボディ
必須application/jsonArray of
stringstringレスポンス
200An object mapping user identifiers to their respective DM reachability status.
codeinteger必須HTTP ステータスコード(200 は成功)
msgstring必須レスポンスメッセージ(例: 'success')
dataDMStatusModelV2[]必須返却されるコアデータオブジェクトまたは配列
プロパティを表示プロパティを非表示
Array of
DMStatusModelV2user_idstring | any対象ユーザーのTwitter数字ID
プロパティを表示プロパティを非表示
Any of:
string
stringany
anyscreen_namestring | anyTwitterユーザー名(Handle、@なし)
プロパティを表示プロパティを非表示
Any of:
string
stringany
anyis_blue_verifiedboolean | anyプロパティを表示プロパティを非表示
Any of:
boolean
booleanany
anyis_verified_organization_affiliateboolean | anyプロパティを表示プロパティを非表示
Any of:
boolean
booleanany
anyverifiedboolean | anyプロパティを表示プロパティを非表示
Any of:
boolean
booleanany
anycan_dmboolean | anyプロパティを表示プロパティを非表示
Any of:
boolean
booleanany
anycan_dm_on_xchatboolean | anyプロパティを表示プロパティを非表示
Any of:
boolean
booleanany
anydm_blockingboolean | anyプロパティを表示プロパティを非表示
Any of:
boolean
booleanany
anypasses_premium_checkboolean | anyプロパティを表示プロパティを非表示
Any of:
boolean
booleanany
any422パラメータバリデーションエラー
detailValidationError[]プロパティを表示プロパティを非表示
Array of
ValidationErrorlocstring | integer[]必須プロパティを表示プロパティを非表示
Array of
string | integerAny of:
string
stringinteger
integermsgstring必須レスポンスメッセージ(例: 'success')
typestring必須inputanyctxobject⚡インタラクティブテストPOST
⚡インタラクティブテスト / Try APIPOSTLive Console
🌐対象サーバー:
https://api.twexapi.io● 本番環境レディ
🔍
公開データ取得(TwexAPIキーのみ、Twitter Cookie不要)
本エンドポイントは公開Twitterデータの検索・取得用です。TwitterアカウントやCookieは一切不要です!下記の「API認証」に TwexAPIプラットフォームキー (Bearer Token) を入力するだけで即座にテストできます。
🔑API 認証
📝リクエストボディapplication/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
リクエスト例
curl -X POST "https://api.twexapi.io/v2/dm/status" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '[
"1696160451770429440",
"elonmusk"
]'const response = await fetch("https://api.twexapi.io/v2/dm/status", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify([
"1696160451770429440",
"elonmusk"
])
});import requests
response = requests.post(
"https://api.twexapi.io/v2/dm/status",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json=[
"1696160451770429440",
"elonmusk"
],
)レスポンス例
{
"code": 0,
"msg": "string",
"data": [
{
"user_id": "string",
"screen_name": "string",
"is_blue_verified": true,
"is_verified_organization_affiliate": true,
"verified": true,
"can_dm": true,
"can_dm_on_xchat": true,
"dm_blocking": true,
"passes_premium_check": true
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}